---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: bind-operator
  namespace: bind-system
  labels:
    app.kubernetes.io/name: bind-operator
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: bind-operator
  template:
    metadata:
      labels:
        app.kubernetes.io/name: bind-operator
    spec:
      serviceAccountName: bind-operator
      securityContext:
        runAsNonRoot: true
      containers:
        - name: operator
          image: artifactapi.k8s.syd1.au.unkin.net/docker-internal/bind-operator:v0.2.6
          args:
            - --metrics-bind-address=:8080
            - --health-probe-bind-address=:8081
            - --leader-elect
          ports:
            - containerPort: 8080
              name: metrics
            - containerPort: 8081
              name: health
          readinessProbe:
            httpGet:
              path: /readyz
              port: 8081
            initialDelaySeconds: 5
            periodSeconds: 10
          livenessProbe:
            httpGet:
              path: /healthz
              port: 8081
            initialDelaySeconds: 15
            periodSeconds: 20
          securityContext:
            allowPrivilegeEscalation: false
            readOnlyRootFilesystem: true
            capabilities:
              drop: ["ALL"]
          resources:
            requests:
              cpu: 50m
              memory: 64Mi
            limits:
              cpu: 500m
              memory: 256Mi
